import request from '@/utils/request'

// 查询博兴天气列表
export function listPrediction(query) {
  return request({
    url: '/crops/prediction/list',
    method: 'get',
    params: query
  })
}

// 查询博兴天气详细
export function getPrediction(id) {
  return request({
    url: '/crops/prediction/' + id,
    method: 'get'
  })
}

// 新增博兴天气
export function addPrediction(data) {
  return request({
    url: '/crops/prediction',
    method: 'post',
    data: data
  })
}

// 修改博兴天气
export function updatePrediction(data) {
  return request({
    url: '/crops/prediction',
    method: 'put',
    data: data
  })
}

// 删除博兴天气
export function delPrediction(id) {
  return request({
    url: '/crops/prediction/' + id,
    method: 'delete'
  })
}
